Issue 95974 - Crash after some time of opening a large document (odt)
Summary: Crash after some time of opening a large document (odt)
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: OOo 3.0
Hardware: All All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2008-11-07 18:06 UTC by raindrops
Modified: 2017-05-20 11:01 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
An odt document that crashes after opening (333.75 KB, application/vnd.oasis.opendocument.text)
2009-10-14 01:27 UTC, kevingslade
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description raindrops 2008-11-07 18:06:16 UTC
Writer 3.0 crashes a few seconds after loading a large odt (375+ pages) document. 

The previous RC version did not crash. 

Once the document is loaded, the CPU quickly climbs to 100% and stays there.

I know that Ooo has some problematic code for aligning the contents of large
complex documents (it enters endless loops which can't be exited). So I used the
"Tools> Update>Update All" menu. Writer completes this successfully. However,
within a few seconds after that, it crashes.

When Writer crashes, it simply vanishes, and the recovery wizard starts. 

I can send the problematic document if you could provide an email address.

Thanks.
Comment 1 raindrops 2008-11-08 02:53:08 UTC
Forgot to mention that apart from the 100% CPU, the access to hard disk also
goes up very high: It starts making a very loud hissing (spinning) noise. 
*****

UPDATE:
I uninstalled OOo v3 and tried the new v2.4.2 RC1. It can open the document and
edit without any problem whatsoever.

So, it is confirmed that v3 has some NEW problem that is not there in 2.4.2.

*******
Which features are not there in 2.4.2 vis-a-vis 3??

When I opened the document in 2.4.2 for the first time, a pop up window warned
that the file was created with a later version, and some features in the file
will be LOST. The pop up display did not elaborate which are the features that
would be lost. 

Is this a routine warning (when someone tries an older version), or something is
really lost?? Which are those features?
Comment 2 eric.savary 2008-11-19 01:22:21 UTC
Please send me the file mentioning the issue ID in the e-mail subject or attach
it here.
Comment 3 raindrops 2008-11-19 14:59:59 UTC
I have sent the file just now (through my Gmail ID). 
The attachment is a 7z archive (4266645 bytes)
Comment 4 eric.savary 2008-11-19 15:39:20 UTC
Not reproducible.
Comment 5 eric.savary 2008-11-19 15:39:47 UTC
Closed
Comment 6 raindrops 2008-11-22 05:15:54 UTC
Not so fast!

I have stated that this problem is quite consistent. So at the most, it should
be set to "NeedMoreInfo". Really, the closing the bugs at any pretext has
reached an art form here!

Please ask me to submit more debugging data (whatever you need). 
If you don't know what to ask for then let me talk to the concerned developer.

I'll let go of the other bug (runtime error), because that's random. but not
this one. 

I downloaded the latest OOo yesterday (dev 3.1) and the @#$&% thing has crashed
SIX times since this morning. Three times the crash recovery recovered and
immediately crashed. Only twice did it created a crash report; out of which it
failed once to send the report.

Comment 7 Mechtilde 2008-11-22 05:55:10 UTC
while the recovery there should be a dialog to send a crash report.

please set there your E-Mail Adresse. After a short time you get an Error Code
please pot it here
Comment 8 raindrops 2008-11-22 16:38:50 UTC
rmmqkuc and r92qkuc. 

All other reports were lost (at least 10 reports today itself).

The situation got so worse that the OOo crashed even before the recovery exited.
All I could do was simply click the NEXT buttons in a chain of recovery wizards.

I could barely see the recovered document, because the next recovery wizard
covered it up.

To avoid further crashes, I have uninstalled v3.0 and re-installed 2.4.2. But
please tell me if I can install 3.0 also side-by-side; so that whenever you want
more experiments, I can provide new results.
Comment 9 raindrops 2008-11-22 16:40:36 UTC
One more: r8dqkuc
Comment 10 raindrops 2008-11-22 16:47:35 UTC
I just noticed your instructions about setting emails. I have already set that
option long ago. I have used these report numbers in Issuezilla in the past.

But the problem is that for many crashes, the crash wizard does not send the
crash report. (It simply recovers the file.) In many other cases, the wizard
does not respond to the final "send" button (probably because the recovered file
has already crashed and launched the wizard again).

Anyway, I guess 3 reports are sufficient.

Please let me know if/how I can install OOo 3.0 side-by-side with 2.4.2.

Thanks.
Comment 11 eric.savary 2008-11-23 10:36:40 UTC
Well the rules didn't change, we need a REPRODUCIBLE scenario: do something
manually that leads to a crash.

But your crash reports arreved. I don't know if DEV can do something with it blind.

@AMA: stack ID for 4 crashes is 32577.

Please have a look.
Comment 12 andreas.martens 2009-07-08 15:01:54 UTC
ama->od: Something unconfirmed...
Comment 13 eric.savary 2009-07-24 12:32:41 UTC
@raindrops: would you please re-send the file to OD? I don't have it anymore.
BTW: please try to see if your document still crashes in the current 3.1 version.
Comment 14 kevingslade 2009-10-14 01:27:59 UTC
Created attachment 65352 [details]
An odt document that crashes after opening
Comment 15 kevingslade 2009-10-14 01:29:04 UTC
I have attached a document created with 3.0 on a 64 bit Linux system and last
opened with 3.1.1 on a 64 bit Linux system with 8Gb ram and the Java start
parameter set to "-Xmx2048M".

This document has a mix of text and graphics and reliably crashes after opening.

Occasionally I can circumvent the crash by pressing <CTRL>s while the document
is loading.

This document has been created and managed as a odt format document only.

Comment 16 joerg.skottke 2009-10-21 14:16:01 UTC
Confirmed on Linux with OOO320m2.
As stated in the report: Load the file, wait -> crash.

@sba: Please take over, could be a showstopper
Comment 17 joerg.skottke 2009-10-21 14:19:26 UTC
Adjusted platform, os and priority
Comment 18 stefan.baltzer 2009-10-21 16:54:04 UTC
Document crashes reliably on one of my WinXP machines (OOo 3.0 up to OOO320_m2,
did not test 2.x Office). Same on my two Linux boxes (crash on one, all fine on
the other). This is an "old problem", very well-worth to fix, but not
automatically a stopper for OOo 3.2, given the limited developer resources we
currently have. Set target 3.x

Note: I am not sure if this document is the one that raindrops initially wrote
about since he did not reply to ES "please re-send" request of July 42th, 2009.
Instead, we got another document that "accidentially" fits with the original
summary. So MAYBE this is a mutant issue and will never address raindrops
problem document even if fixed for the currently attached one.

SBA->OD: Please proceed, thx.
Comment 19 Swathikrishna Harikumar 2016-10-01 05:32:07 UTC
System Configuration: Mac OSX 64-bit Yosemite

I followed the instructions given by the author of the bug post and was able to replicate the error.

These are the steps of replication steps I followed:
1.	Download the large odp file that was provided
2.	Open in Writer
3.	Wait for a minute or two. 
4.	OpenOffice crashes and gives the following error message: "OpenOffice quit unexpectedly" Click Reopen to open the application again. 
5.	I was able to reopen the document and it guided me through a speedy recovery process which is part of OpenOffice. It successfully recovered. 

This bug might be important to customers, as Writer should be robust enough to handle large documents for future use. It would be beneficial to all customers if this bug were fixed. 

Swathi Harikumar
Date: 9/30/16
Comment 20 Marcus 2017-05-20 11:01:05 UTC
Reset assigne to the default "issues@openoffice.apache.org".